Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# RobotState Class Reference

A class describing detected button messages and whether robot is crashed. More...

`#include <RobotState.h>`

Collaboration diagram for RobotState:

[legend]
List of all members.

## Public Types
enum | States { undefined, standing, crashed, rollLeft, rollRight, pickedUp }
enum | MouthStates { mouthOpen, mouthClosed }
## Public Member Functions
| RobotState ()
| ~RobotState ()
void | setFrameNumber (unsigned long frameNumber)
void | setState (const States s)
States | getState () const
void | setMouthState (const MouthStates t)
MouthStates | getMouthState () const
void | setSomethingInFrontOfChest (bool value)
bool | getSomethingInFrontOfChest () const
void | setDistanceToSIFOC (double value)
double | getDistanceToSIFOC () const
void | setTimeWhenSomethingWasInFrontOfChestLast (unsigned long int time)
unsigned long int | getTimeWhenSomethingWasInFrontOfChestLast () const
void | setButtonPressed (bool *buttonPressed)
bool | getButtonPressed (BodyPercept::Switches button) const
void | setButtonTime (long *buttonTime)
long | getButtonTime (BodyPercept::Switches button) const
void | setButtonPressedTime (long *buttonPressedTime)
long | getButtonPressedTime (BodyPercept::Switches button) const
void | setButtonDuration (long *buttonDuration)
long | getButtonDuration (BodyPercept::Switches button) const
void | setAnyBackButtonPressed (bool anyBackButtonPressed)
bool | getAnyBackButtonPressed () const
void | setAnyBackButtonTime (long anyBackButtonTime)
long | getAnyBackButtonTime () const
void | setAnyBackButtonPressedTime (long anyBackButtonPressedTime)
long | getAnyBackButtonPressedTime () const
void | setAnyBackButtonDuration (long anyBackButtonDuration)
long | getAnyBackButtonDuration () const
void | operator= (const RobotState &other)
| copies another RobotState to this one
void | setCollisionFrontLeft (bool c)
bool | getCollisionFrontLeft () const
void | setCollisionFrontRight (bool c)
bool | getCollisionFrontRight () const
void | setCollisionHindLeft (bool c)
bool | getCollisionHindLeft () const
void | setCollisionHindRight (bool c)
bool | getCollisionHindRight () const
void | setCollisionHead (bool c)
bool | getCollisionHead () const
void | setCollisionAggregate (bool c)
bool | getCollisionAggregate () const
void | setOdometryDisturbance (double c)
double | getOdometryDisturbance () const
void | setConsecutiveCollisionTimeFrontLeft (long c)
long | getConsecutiveCollisionTimeFrontLeft () const
void | setConsecutiveCollisionTimeFrontRight (long c)
long | getConsecutiveCollisionTimeFrontRight () const
void | setConsecutiveCollisionTimeHindLeft (long c)
long | getConsecutiveCollisionTimeHindLeft () const
void | setConsecutiveCollisionTimeHindRight (long c)
long | getConsecutiveCollisionTimeHindRight () const
void | setConsecutiveCollisionTimeHead (long c)
long | getConsecutiveCollisionTimeHead () const
void | setConsecutiveCollisionTimeAggregate (long c)
long | getConsecutiveCollisionTimeAggregate () const
void | setCollisionSide (int s)
long | getCollisionSide () const
## Static Public Member Functions
const char * | getStateName (States s)
## Public Attributes
Vector3< double > | acceleration
unsigned long | frameNumber
## Private Attributes
States | state
| current state of robot position if crashed or standing
MouthStates | mouthState
| current state of the mouth
bool | collisionFrontLeft
| collision indicator of front left leg
bool | collisionFrontRight
| collision indicator of front right leg
bool | collisionHindLeft
| collision indicator of hind left leg
bool | collisionHindRight
| collision indicator of hind right leg
bool | collisionHead
| collision indicator of head
bool | collisionAggregate
| collision indicator of collision occurrence
double | odometryDisturbance
| indicator of odometry disturbance
long | consecutiveCollisionTimeFrontLeft
| Time for last consecutive collision on front left leg.
long | consecutiveCollisionTimeFrontRight
| Time for last consecutive collision on front right leg.
long | consecutiveCollisionTimeHindLeft
| Time for last consecutive collision on hind left leg.
long | consecutiveCollisionTimeHindRight
| Time for last consecutive collision on hind right leg.
long | consecutiveCollisionTimeHead
| Time for last consecutive collision on head.
long | consecutiveCollisionTimeAggregate
| Time for last consecutive collision aggregate.
long | collisionSide
| collision occured on side
bool | buttonPressed [BodyPercept::numOfSwitches]
unsigned long | buttonTime [BodyPercept::numOfSwitches]
unsigned long | buttonPressedTime [BodyPercept::numOfSwitches]
unsigned long | buttonDuration [BodyPercept::numOfSwitches]
bool | anyBackButtonPressed
unsigned long | anyBackButtonTime
unsigned long | anyBackButtonPressedTime
unsigned long | anyBackButtonDuration
bool | somethingInFrontOfChest
| Indicates whether something has been measured by the body PSD or not.
double | distanceToSIFOC
| The distance of objects in front of the body PSD.
unsigned long int | timeWhenSomethingWasInFrontOfChestLast
| The last time when something has been measured by the body PSD.

## Detailed Description

A class describing detected button messages and whether robot is crashed.

Definition at line 18 of file RobotState.h.

## Member Enumeration Documentation

enum RobotState::States

  | Enumeration values:
  undefined |
  standing |
  crashed |
  rollLeft |
  rollRight |
  pickedUp |
Definition at line 21 of file RobotState.h. Referenced by getState().

enum RobotState::MouthStates

  | Enumeration values:
  mouthOpen |
  mouthClosed |
Definition at line 22 of file RobotState.h. Referenced by getMouthState().

## Constructor & Destructor Documentation

RobotState::RobotState | ( |  | ) |

| Definition at line 9 of file RobotState.cpp. References acceleration, collisionAggregate, collisionFrontLeft, collisionFrontRight, collisionHead, collisionHindLeft, collisionHindRight, collisionSide, consecutiveCollisionTimeAggregate, consecutiveCollisionTimeFrontLeft, consecutiveCollisionTimeFrontRight, consecutiveCollisionTimeHead, consecutiveCollisionTimeHindLeft, consecutiveCollisionTimeHindRight, odometryDisturbance, somethingInFrontOfChest, and timeWhenSomethingWasInFrontOfChestLast.

RobotState::~RobotState | ( |  | ) |

| Definition at line 36 of file RobotState.cpp.

## Member Function Documentation

void RobotState::setFrameNumber | ( | unsigned long | frameNumber | ) | `[inline]`

| Definition at line 30 of file RobotState.h. Referenced by GT2005RobotStateDetector::execute().

void RobotState::setState | ( | const States | s | ) | `[inline]`

| Definition at line 32 of file RobotState.h. Referenced by GT2005RobotStateDetector::execute().

States RobotState::getState | ( | void |  | ) | const`[inline]`

| Definition at line 33 of file RobotState.h. References States. Referenced by GT2005BehaviorControl::postExecute().

void RobotState::setMouthState | ( | const MouthStates | t | ) | `[inline]`

| Definition at line 35 of file RobotState.h. References mouthState. Referenced by GT2005RobotStateDetector::execute().

MouthStates RobotState::getMouthState | ( |  | ) | const`[inline]`

| Definition at line 36 of file RobotState.h. References mouthState, and MouthStates. Referenced by RobotStateSymbols::getMouthState().

void RobotState::setSomethingInFrontOfChest | ( | bool | value | ) | `[inline]`

| Definition at line 38 of file RobotState.h. References somethingInFrontOfChest. Referenced by GT2005RobotStateDetector::execute().

bool RobotState::getSomethingInFrontOfChest | ( |  | ) | const`[inline]`

| Definition at line 39 of file RobotState.h. References somethingInFrontOfChest. Referenced by GT2005HeadControlSymbols::getBodyPSDDetectBall(), and RobotStateSymbols::getSomethingInFrontOfChest().

void RobotState::setDistanceToSIFOC | ( | double | value | ) | `[inline]`

| Definition at line 41 of file RobotState.h. References distanceToSIFOC. Referenced by GT2005RobotStateDetector::execute().

double RobotState::getDistanceToSIFOC | ( |  | ) | const`[inline]`

| Definition at line 42 of file RobotState.h. References distanceToSIFOC. Referenced by RobotStateSymbols::getDistanceToSIFOC().

void RobotState::setTimeWhenSomethingWasInFrontOfChestLast | ( | unsigned long int | time | ) | `[inline]`

| Definition at line 44 of file RobotState.h. References timeWhenSomethingWasInFrontOfChestLast. Referenced by GT2005RobotStateDetector::execute().

unsigned long int RobotState::getTimeWhenSomethingWasInFrontOfChestLast | ( |  | ) | const`[inline]`

| Definition at line 45 of file RobotState.h. References timeWhenSomethingWasInFrontOfChestLast. Referenced by RobotStateSymbols::getTimeSinceSomethingWasInFrontOfChest().

void RobotState::setButtonPressed | ( | bool * | buttonPressed | ) | `[inline]`

| Definition at line 47 of file RobotState.h. Referenced by GT2005RobotStateDetector::setNewButtonStatus().

bool RobotState::getButtonPressed | ( | BodyPercept::Switches | button | ) | const`[inline]`

| Definition at line 54 of file RobotState.h. References buttonPressed. Referenced by OdometrySelfLocator::execute(), GT2005RobotStateDetector::execute(), GT2005HeadControl::execute(), RobotStateSymbols::getChinButtonPressedForThreeSeconds(), RobotStateSymbols::getForeBackButtonPressedShort(), RobotStateSymbols::getForeBackButtonPressedShortAndReleased(), RobotStateSymbols::getHeadButtonPressedForThreeSeconds(), RobotStateSymbols::getHeadButtonPressedShort(), RobotStateSymbols::getHeadButtonPressedShortAndReleased(), RobotStateSymbols::getHindBackButtonPressedShort(), RobotStateSymbols::getHindBackButtonPressedShortAndReleased(), RobotStateSymbols::getMiddleBackButtonPressedShort(), RobotStateSymbols::getMiddleBackButtonPressedShortAndReleased(), and GT2005BehaviorControl::postExecute().

void RobotState::setButtonTime | ( | long * | buttonTime | ) | `[inline]`

| Definition at line 59 of file RobotState.h. Referenced by GT2005RobotStateDetector::setNewButtonStatus().

long RobotState::getButtonTime | ( | BodyPercept::Switches | button | ) | const`[inline]`

| Definition at line 66 of file RobotState.h. References buttonTime. Referenced by RobotStateSymbols::getChinButtonPressedForThreeSeconds(), RobotStateSymbols::getForeBackButtonPressedShortAndReleased(), RobotStateSymbols::getHeadButtonPressedForThreeSeconds(), RobotStateSymbols::getHeadButtonPressedShortAndReleased(), RobotStateSymbols::getHindBackButtonPressedShortAndReleased(), and RobotStateSymbols::getMiddleBackButtonPressedShortAndReleased().

void RobotState::setButtonPressedTime | ( | long * | buttonPressedTime | ) | `[inline]`

| Definition at line 71 of file RobotState.h. Referenced by GT2005RobotStateDetector::setNewButtonStatus().

long RobotState::getButtonPressedTime | ( | BodyPercept::Switches | button | ) | const`[inline]`

| Definition at line 78 of file RobotState.h. References buttonPressedTime. Referenced by RobotStateSymbols::getChinButtonPressedForThreeSeconds(), RobotStateSymbols::getForeBackButtonPressedShortAndReleased(), RobotStateSymbols::getHeadButtonPressedForThreeSeconds(), RobotStateSymbols::getHeadButtonPressedShortAndReleased(), RobotStateSymbols::getHindBackButtonPressedShortAndReleased(), and RobotStateSymbols::getMiddleBackButtonPressedShortAndReleased().

void RobotState::setButtonDuration | ( | long * | buttonDuration | ) | `[inline]`

| Definition at line 83 of file RobotState.h. Referenced by GT2005RobotStateDetector::setNewButtonStatus().

long RobotState::getButtonDuration | ( | BodyPercept::Switches | button | ) | const`[inline]`

| Definition at line 90 of file RobotState.h. References buttonDuration. Referenced by GT2005RobotStateDetector::execute(), GT2005HeadControl::execute(), RobotStateSymbols::getChinButtonPressedForThreeSeconds(), RobotStateSymbols::getForeBackButtonPressedShort(), RobotStateSymbols::getHeadButtonPressedForThreeSeconds(), RobotStateSymbols::getHeadButtonPressedShort(), RobotStateSymbols::getHindBackButtonPressedShort(), RobotStateSymbols::getMiddleBackButtonPressedShort(), and GT2005BehaviorControl::postExecute().

void RobotState::setAnyBackButtonPressed | ( | bool | anyBackButtonPressed | ) | `[inline]`

| Definition at line 95 of file RobotState.h. Referenced by GT2005RobotStateDetector::setNewButtonStatus().

bool RobotState::getAnyBackButtonPressed | ( |  | ) | const`[inline]`

| Definition at line 99 of file RobotState.h. References anyBackButtonPressed. Referenced by GT2005RobotStateDetector::execute(), RobotStateSymbols::getAnyBackButtonPressedForOneSecond(), and RobotStateSymbols::getAnyBackButtonPressedShortAndReleased().

void RobotState::setAnyBackButtonTime | ( | long | anyBackButtonTime | ) | `[inline]`

| Definition at line 104 of file RobotState.h. Referenced by GT2005RobotStateDetector::setNewButtonStatus().

long RobotState::getAnyBackButtonTime | ( |  | ) | const`[inline]`

| Definition at line 108 of file RobotState.h. References anyBackButtonTime. Referenced by RobotStateSymbols::getAnyBackButtonPressedForOneSecond(), and RobotStateSymbols::getAnyBackButtonPressedShortAndReleased().

void RobotState::setAnyBackButtonPressedTime | ( | long | anyBackButtonPressedTime | ) | `[inline]`

| Definition at line 113 of file RobotState.h. Referenced by GT2005RobotStateDetector::setNewButtonStatus().

long RobotState::getAnyBackButtonPressedTime | ( |  | ) | const`[inline]`

| Definition at line 117 of file RobotState.h. References anyBackButtonPressedTime. Referenced by RobotStateSymbols::getAnyBackButtonPressedForOneSecond(), and RobotStateSymbols::getAnyBackButtonPressedShortAndReleased().

void RobotState::setAnyBackButtonDuration | ( | long | anyBackButtonDuration | ) | `[inline]`

| Definition at line 122 of file RobotState.h. Referenced by GT2005RobotStateDetector::setNewButtonStatus().

long RobotState::getAnyBackButtonDuration | ( |  | ) | const`[inline]`

| Definition at line 126 of file RobotState.h. References anyBackButtonDuration. Referenced by GT2005RobotStateDetector::execute(), and RobotStateSymbols::getAnyBackButtonPressedForOneSecond().

void RobotState::operator= | ( | const RobotState & | other | ) |

| copies another RobotState to this one Definition at line 40 of file RobotState.cpp. References state.

const char* RobotState::getStateName | ( | States | s | ) | `[inline, static]`

| Definition at line 134 of file RobotState.h. References crashed, pickedUp, rollLeft, rollRight, and standing.

void RobotState::setCollisionFrontLeft | ( | bool | c | ) | `[inline]`

| Definition at line 148 of file RobotState.h. References collisionFrontLeft. Referenced by GT2005RobotStateDetector::calculateCollisionState().

bool RobotState::getCollisionFrontLeft | ( |  | ) | const`[inline]`

| Definition at line 149 of file RobotState.h. References collisionFrontLeft. Referenced by ObstaclesSymbols::getCollisionFrontLeft().

void RobotState::setCollisionFrontRight | ( | bool | c | ) | `[inline]`

| Definition at line 151 of file RobotState.h. References collisionFrontRight. Referenced by GT2005RobotStateDetector::calculateCollisionState().

bool RobotState::getCollisionFrontRight | ( |  | ) | const`[inline]`

| Definition at line 152 of file RobotState.h. References collisionFrontRight. Referenced by ObstaclesSymbols::getCollisionFrontRight().

void RobotState::setCollisionHindLeft | ( | bool | c | ) | `[inline]`

| Definition at line 154 of file RobotState.h. References collisionHindLeft. Referenced by GT2005RobotStateDetector::calculateCollisionState().

bool RobotState::getCollisionHindLeft | ( |  | ) | const`[inline]`

| Definition at line 155 of file RobotState.h. References collisionHindLeft. Referenced by ObstaclesSymbols::getCollisionHindLeft().

void RobotState::setCollisionHindRight | ( | bool | c | ) | `[inline]`

| Definition at line 157 of file RobotState.h. References collisionHindRight. Referenced by GT2005RobotStateDetector::calculateCollisionState().

bool RobotState::getCollisionHindRight | ( |  | ) | const`[inline]`

| Definition at line 158 of file RobotState.h. References collisionHindRight. Referenced by ObstaclesSymbols::getCollisionHindRight().

void RobotState::setCollisionHead | ( | bool | c | ) | `[inline]`

| Definition at line 160 of file RobotState.h. References collisionHead. Referenced by GT2005RobotStateDetector::calculateCollisionState().

bool RobotState::getCollisionHead | ( |  | ) | const`[inline]`

| Definition at line 161 of file RobotState.h. References collisionHead. Referenced by ObstaclesSymbols::getCollisionHead().

void RobotState::setCollisionAggregate | ( | bool | c | ) | `[inline]`

| Definition at line 163 of file RobotState.h. References collisionAggregate. Referenced by GT2005RobotStateDetector::calculateCollisionState().

bool RobotState::getCollisionAggregate | ( |  | ) | const`[inline]`

| Definition at line 164 of file RobotState.h. References collisionAggregate. Referenced by ObstaclesSymbols::getCollisionAggregate().

void RobotState::setOdometryDisturbance | ( | double | c | ) | `[inline]`

| Definition at line 166 of file RobotState.h. References odometryDisturbance. Referenced by GT2005RobotStateDetector::calculateCollisionState().

double RobotState::getOdometryDisturbance | ( |  | ) | const`[inline]`

| Definition at line 167 of file RobotState.h. References odometryDisturbance. Referenced by ObstaclesSymbols::getOdometryDisturbance().

void RobotState::setConsecutiveCollisionTimeFrontLeft | ( | long | c | ) | `[inline]`

| Definition at line 169 of file RobotState.h. References consecutiveCollisionTimeFrontLeft. Referenced by GT2005RobotStateDetector::calculateCollisionState().

long RobotState::getConsecutiveCollisionTimeFrontLeft | ( |  | ) | const`[inline]`

| Definition at line 170 of file RobotState.h. References consecutiveCollisionTimeFrontLeft. Referenced by ObstaclesSymbols::getConsecutiveCollisionTimeFrontLeft().

void RobotState::setConsecutiveCollisionTimeFrontRight | ( | long | c | ) | `[inline]`

| Definition at line 172 of file RobotState.h. References consecutiveCollisionTimeFrontRight. Referenced by GT2005RobotStateDetector::calculateCollisionState().

long RobotState::getConsecutiveCollisionTimeFrontRight | ( |  | ) | const`[inline]`

| Definition at line 173 of file RobotState.h. References consecutiveCollisionTimeFrontRight. Referenced by ObstaclesSymbols::getConsecutiveCollisionTimeFrontRight().

void RobotState::setConsecutiveCollisionTimeHindLeft | ( | long | c | ) | `[inline]`

| Definition at line 175 of file RobotState.h. References consecutiveCollisionTimeHindLeft. Referenced by GT2005RobotStateDetector::calculateCollisionState().

long RobotState::getConsecutiveCollisionTimeHindLeft | ( |  | ) | const`[inline]`

| Definition at line 176 of file RobotState.h. References consecutiveCollisionTimeHindLeft. Referenced by ObstaclesSymbols::getConsecutiveCollisionTimeHindLeft().

void RobotState::setConsecutiveCollisionTimeHindRight | ( | long | c | ) | `[inline]`

| Definition at line 178 of file RobotState.h. References consecutiveCollisionTimeHindRight. Referenced by GT2005RobotStateDetector::calculateCollisionState().

long RobotState::getConsecutiveCollisionTimeHindRight | ( |  | ) | const`[inline]`

| Definition at line 179 of file RobotState.h. References consecutiveCollisionTimeHindRight. Referenced by ObstaclesSymbols::getConsecutiveCollisionTimeHindRight().

void RobotState::setConsecutiveCollisionTimeHead | ( | long | c | ) | `[inline]`

| Definition at line 181 of file RobotState.h. References consecutiveCollisionTimeHead. Referenced by GT2005RobotStateDetector::calculateCollisionState().

long RobotState::getConsecutiveCollisionTimeHead | ( |  | ) | const`[inline]`

| Definition at line 182 of file RobotState.h. References consecutiveCollisionTimeHead. Referenced by ObstaclesSymbols::getConsecutiveCollisionTimeHead().

void RobotState::setConsecutiveCollisionTimeAggregate | ( | long | c | ) | `[inline]`

| Definition at line 184 of file RobotState.h. References consecutiveCollisionTimeAggregate. Referenced by GT2005RobotStateDetector::calculateCollisionState().

long RobotState::getConsecutiveCollisionTimeAggregate | ( |  | ) | const`[inline]`

| Definition at line 185 of file RobotState.h. References consecutiveCollisionTimeAggregate. Referenced by ObstaclesSymbols::getConsecutiveCollisionTimeAggregate().

void RobotState::setCollisionSide | ( | int | s | ) | `[inline]`

| Definition at line 187 of file RobotState.h. References collisionSide. Referenced by GT2005RobotStateDetector::calculateCollisionState().

long RobotState::getCollisionSide | ( |  | ) | const`[inline]`

| Definition at line 188 of file RobotState.h. References collisionSide. Referenced by ObstaclesSymbols::getCollisionSide().

## Member Data Documentation

Vector3<double> RobotState::acceleration

| Definition at line 24 of file RobotState.h. Referenced by GT2005RobotStateDetector::execute(), and RobotState().

unsigned long RobotState::frameNumber

| Definition at line 29 of file RobotState.h. Referenced by operator<<(), and operator>>().

States RobotState::state`[private]`

| current state of robot position if crashed or standing Definition at line 197 of file RobotState.h. Referenced by operator=().

MouthStates RobotState::mouthState`[private]`

| current state of the mouth Definition at line 202 of file RobotState.h. Referenced by getMouthState(), and setMouthState().

bool RobotState::collisionFrontLeft`[private]`

| collision indicator of front left leg Definition at line 207 of file RobotState.h. Referenced by getCollisionFrontLeft(), RobotState(), and setCollisionFrontLeft().

bool RobotState::collisionFrontRight`[private]`

| collision indicator of front right leg Definition at line 212 of file RobotState.h. Referenced by getCollisionFrontRight(), RobotState(), and setCollisionFrontRight().

bool RobotState::collisionHindLeft`[private]`

| collision indicator of hind left leg Definition at line 217 of file RobotState.h. Referenced by getCollisionHindLeft(), RobotState(), and setCollisionHindLeft().

bool RobotState::collisionHindRight`[private]`

| collision indicator of hind right leg Definition at line 222 of file RobotState.h. Referenced by getCollisionHindRight(), RobotState(), and setCollisionHindRight().

bool RobotState::collisionHead`[private]`

| collision indicator of head Definition at line 227 of file RobotState.h. Referenced by getCollisionHead(), RobotState(), and setCollisionHead().

bool RobotState::collisionAggregate`[private]`

| collision indicator of collision occurrence Definition at line 232 of file RobotState.h. Referenced by getCollisionAggregate(), RobotState(), and setCollisionAggregate().

double RobotState::odometryDisturbance`[private]`

| indicator of odometry disturbance Definition at line 237 of file RobotState.h. Referenced by getOdometryDisturbance(), RobotState(), and setOdometryDisturbance().

long RobotState::consecutiveCollisionTimeFrontLeft`[private]`

| Time for last consecutive collision on front left leg. Definition at line 242 of file RobotState.h. Referenced by getConsecutiveCollisionTimeFrontLeft(), RobotState(), and setConsecutiveCollisionTimeFrontLeft().

long RobotState::consecutiveCollisionTimeFrontRight`[private]`

| Time for last consecutive collision on front right leg. Definition at line 247 of file RobotState.h. Referenced by getConsecutiveCollisionTimeFrontRight(), RobotState(), and setConsecutiveCollisionTimeFrontRight().

long RobotState::consecutiveCollisionTimeHindLeft`[private]`

| Time for last consecutive collision on hind left leg. Definition at line 252 of file RobotState.h. Referenced by getConsecutiveCollisionTimeHindLeft(), RobotState(), and setConsecutiveCollisionTimeHindLeft().

long RobotState::consecutiveCollisionTimeHindRight`[private]`

| Time for last consecutive collision on hind right leg. Definition at line 257 of file RobotState.h. Referenced by getConsecutiveCollisionTimeHindRight(), RobotState(), and setConsecutiveCollisionTimeHindRight().

long RobotState::consecutiveCollisionTimeHead`[private]`

| Time for last consecutive collision on head. Definition at line 262 of file RobotState.h. Referenced by getConsecutiveCollisionTimeHead(), RobotState(), and setConsecutiveCollisionTimeHead().

long RobotState::consecutiveCollisionTimeAggregate`[private]`

| Time for last consecutive collision aggregate. Definition at line 267 of file RobotState.h. Referenced by getConsecutiveCollisionTimeAggregate(), RobotState(), and setConsecutiveCollisionTimeAggregate().

long RobotState::collisionSide`[private]`

| collision occured on side Definition at line 272 of file RobotState.h. Referenced by getCollisionSide(), RobotState(), and setCollisionSide().

bool RobotState::buttonPressed[BodyPercept::numOfSwitches]`[private]`

| Definition at line 276 of file RobotState.h. Referenced by getButtonPressed().

unsigned long RobotState::buttonTime[BodyPercept::numOfSwitches]`[private]`

| Definition at line 277 of file RobotState.h. Referenced by getButtonTime().

unsigned long RobotState::buttonPressedTime[BodyPercept::numOfSwitches]`[private]`

| Definition at line 278 of file RobotState.h. Referenced by getButtonPressedTime().

unsigned long RobotState::buttonDuration[BodyPercept::numOfSwitches]`[private]`

| Definition at line 279 of file RobotState.h. Referenced by getButtonDuration().

bool RobotState::anyBackButtonPressed`[private]`

| Definition at line 280 of file RobotState.h. Referenced by getAnyBackButtonPressed().

unsigned long RobotState::anyBackButtonTime`[private]`

| Definition at line 281 of file RobotState.h. Referenced by getAnyBackButtonTime().

unsigned long RobotState::anyBackButtonPressedTime`[private]`

| Definition at line 282 of file RobotState.h. Referenced by getAnyBackButtonPressedTime().

unsigned long RobotState::anyBackButtonDuration`[private]`

| Definition at line 283 of file RobotState.h. Referenced by getAnyBackButtonDuration().

bool RobotState::somethingInFrontOfChest`[private]`

| Indicates whether something has been measured by the body PSD or not. Definition at line 287 of file RobotState.h. Referenced by getSomethingInFrontOfChest(), RobotState(), and setSomethingInFrontOfChest().

double RobotState::distanceToSIFOC`[private]`

| The distance of objects in front of the body PSD. Definition at line 290 of file RobotState.h. Referenced by getDistanceToSIFOC(), and setDistanceToSIFOC().

unsigned long int RobotState::timeWhenSomethingWasInFrontOfChestLast`[private]`

| The last time when something has been measured by the body PSD. Definition at line 293 of file RobotState.h. Referenced by getTimeWhenSomethingWasInFrontOfChestLast(), RobotState(), and setTimeWhenSomethingWasInFrontOfChestLast().

The documentation for this class was generated from the following files:

- Representations/Cognition/RobotState.h
- Representations/Cognition/RobotState.cpp